import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

class FileM
{
	static int minL = 2; //minimum character of a valid line.
	public FileM()
	{
	}
	//Find out how many line are in the file.
	public static int countLine(String fileName) throws IOException, FileNotFoundException
	{
		int max = 0;
		File f = new File(fileName);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
			//read information from the file line by line
		String input = br.readLine();
		while(input!=null && input.length() > minL)
		{
			max++;
			input = br.readLine();
		}
		br.close();
		return max;
	}
	
	//Load vocab information from text file into the vocab array.
	public static String[][] file2stringArray2(String fileName) throws IOException, FileNotFoundException
	{
		int max = countLine(fileName);
		String[][] out = new String[max][2];
		File f = new File(fileName);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
			//read information from the file line by line
		String input = br.readLine();
		int i = 0;
		while(input!=null && input.length() > minL)
		{
			int seperatePosition = input.indexOf(',');
			out[i][0] = input.substring(0,seperatePosition);
			out[i][1] = input.substring(seperatePosition+3);		   
			i++;
			input = br.readLine();
		}
		br.close();		
		return out;
	}
	public static String[] file2stringArray1(String fileName) throws IOException, FileNotFoundException
	{
		int max = countLine(fileName);
		String[] out = new String[max];
		File f = new File(fileName);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
			//read information from the file line by line
		String input = br.readLine();
		int i = 0;
		while(input!=null && input.length() > minL)
		{
			out[i] = input;
			i++;
			input = br.readLine();
		}
		br.close();		
		return out;
	}
	public static String file2string(String fileName) throws IOException, FileNotFoundException
	{
		int max = countLine(fileName);
		String out = new String("");
		File f = new File(fileName);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
			//read information from the file line by line
		String input = br.readLine();
		int i = 0;
		while(input!=null && input.length() > minL)
		{
			out = out+input+"\n";
			i++;
			input = br.readLine();
		}
		br.close();		
		return out;
	}
	public static void string2file(String text, String fileName) throws IOException, FileNotFoundException
	{
		File f = new File(fileName);
		FileWriter fw = new FileWriter(f);
		PrintWriter pw = new PrintWriter(fw,true);
		pw.println(text);
		pw.close();
	}
}
