import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

//Din Accessories

//Array manipulating class.
class ArrayM
{
	static Random ranNum = new Random();
	public ArrayM()
	{
		
	}
	//-----------------------------------------------------------
	//convert int[] array to string
	static String int2string(int[] inta)
	{
		return int2string(inta," ");
	}
	//convert int[] array to string
	static String int2string(int[] inta,String s)
	{
		String out = "";
		for(int i =0; i<inta.length-1; i++)
		{
			out = out + inta[i]+s;
		}
		out = out + inta[inta.length-1];
		return out;
	}
	//-----------------------------------------------------------
	//Add an integer to the input array
	static int[] addInt(int[] array, int add)
	{
		int[] newArray = new int[array.length+1];
		for(int i =0; i<array.length; i++)
		{
			newArray[i] = array[i];
		}
		newArray[array.length] = add;
		return newArray;
	}
	//Return a random integer that is between start and end but not in the int array.
	public static int randIntNotIn(int[] have, int start, int end)
	{
		int ans = -1;
		if (end-start+1 == have.length)
		{
			return -1;
		}
		boolean found = false;
		while(found==false)
		{
			ans = (int)Math.floor((end-start+1)*ranNum.nextDouble());
			found = true;
			for(int i = 0; i<have.length; i++)
			{
				if (have[i] == ans)
					found = false;
			}
		}
		return ans;
	}
	//set all value in an array to some int value
	public static void setAllValue(int[] array, int value)
	{
		for(int i =0; i<array.length;i++)
		{
			array[i] = value;
		}
	}
	//Return an integer that is between start and end but not in the int array.
	public static int intNotIn(int[] have, int start, int end)
	{
		int ans = -1;
		if (end-start+1 == have.length)
		{
			return -1;
		}
		boolean found = false;
		int k = start;
		while(found==false)
		{
			found = true;
			for(int i = 0; i<have.length; i++)
			{
				if (have[i] == k)
					found = false;
				else
					ans = k;
			}
			k++;
		}
		return ans;	
	}
	public static String array2string(String[][] array, String btwColumn, String btwRow)
	{
		String out = new String("");
		for(int i = 0; i < array.length ; i++)
		{
			if(array[i][0]==null)
				break;
			out = out + array[i][0] + btwColumn + array[i][1] + btwRow;
		}
		return out;
	}
}
//--------------------------------------------------------------------------------------------

//--------------------------------------------------------------------------------------------
class TextFrame extends Frame
{
		TextArea ta; //text area for diaplaying information	
		public TextFrame(String name, int rows)
		{
			super(name);
			addWindowListener(new WindowAdapter(){public void windowClosing(WindowEvent event){dispose();}});
            //Event Listeners as Anonymous Inner Class      
			setBackground(Color.lightGray);
			ta = new TextArea("",rows,100,TextArea.SCROLLBARS_BOTH);
			add(ta);
			pack();
			setVisible(true);
		}
		public void append(String text)
		{
			ta.append(text);
		}
}
class MessageFrame extends Frame
{
		Label messageL; //text area for diaplaying information	
		public MessageFrame(String head, String message)
		{
			//GraphicsConfiguration gc = new
			super(head);
			addWindowListener(new WindowAdapter(){public void windowClosing(WindowEvent event){dispose();}});
            //Event Listeners as Anonymous Inner Class      
			setBackground(Color.white);
			messageL = new Label(message);
			add(messageL);
			setLocation(100,100);
			pack();
			
			setVisible(true);
		}
}