import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;

public class OptionGui extends Frame implements ActionListener
{	
	String fileName; //file name to be read from
	String saveTo; //file name to save to
	int numberOfChoice;
	int period;
	
	Gui gui;
	Color background = new Color(236,233,216); //grey background
	
	
	Panel backP = new Panel();
	PanelStringChange fileP;
	PanelStringChange filePS;
	//number of choices
	PanelStringChange nc;
	PanelStringChange periodP;
	
	Button Apply = new Button("Apply");
	
	OptionGui(Gui guii)
	{
		super("Configuration");
		gui = guii;
		
		try
		{
			loadConfig();
		}
		catch(IOException e1){}
		finally{}
		
		fileP = new PanelStringChange("File Name",fileName ,15);
		filePS = new PanelStringChange("File Name To Save", saveTo,15);
		nc = new PanelStringChange("Number of choices", ""+numberOfChoice,2);
		periodP = new PanelStringChange("Period", ""+period,2);
		
		addWindowListener(new WindowAdapter(){public void windowClosing(WindowEvent event){dispose();}});
		setBackground(background);
		
		
		backP.setBackground(Gui.back);
		backP.setLayout(new GridLayout(5,1,0,0)); //******add when have more config
		
		backP.add(fileP);
		backP.add(filePS);
		backP.add(nc);
		backP.add(periodP);
		
		Apply.addActionListener(this);
		Panel applyP = new Panel();
		applyP.add(Apply);
		backP.add(applyP);
		
		add(backP);
		pack();
		
		setVisible(true);
	}
	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource()==Apply)
		{
			try
			{
				VocabF.saveConfig(fileP.getText() +"\n"+ filePS.getText() +"\n"+ nc.getText()+"\n"+ periodP.getText());
			}
			catch(IOException ioe){}
			finally{}
			gui.dispose();
			Gui newgui = new Gui();
			dispose();
		}
	}
	public void loadConfig() throws IOException, FileNotFoundException
	{
		File f = new File(VocabF.FileConfig);
		FileReader fr = new FileReader(f);
		BufferedReader br = new BufferedReader(fr);
		
		fileName = br.readLine();
		saveTo = br.readLine();
		numberOfChoice = new Integer(br.readLine()).intValue();
		period = new Integer(br.readLine()).intValue();
		
		br.close();
	}
}


class PanelStringChange extends Panel
{
	Label label;
	TextField tf;
	public PanelStringChange(String PanelText, String initialText, int TextFieldLength)
	{
		super(new FlowLayout(FlowLayout.LEFT));
		label = new Label(PanelText);
		tf = new TextField(initialText, TextFieldLength);
		add(label);
		add(tf);
	}
	public PanelStringChange(String PanelText, int TextFieldLength)
	{
		label = new Label(PanelText);
		tf = new TextField(TextFieldLength);
		add(label);
		add(tf);		
	}
	public String getText()
	{
		return tf.getText();
	}
}
